.dgi compatibility across IM / NV versions

Anything related to video and my tools that is not a support request.
Post Reply
PhotoVoltaic
Posts: 2
Joined: Sun Jul 01, 2018 8:00 am

.dgi compatibility across IM / NV versions

Post by PhotoVoltaic » Sun Jul 01, 2018 8:28 am

I currently have 3 machines,

Machine 1 is a Q6600 (no iGPU) with a GTX 950
Machine 2 is a i5-3470 with no discrete GPU (no physical space to fit one)
Machine 3 is an i7-7700k with an old GTX 670
(#3 Is to be replacement main PC #1, #2 is some compact thing I got for free but too small to fit decent GPU)

So, when I heard about DGDecodeIM I was glad as it meant I could use the Quicksync enabled i5 PC for some encoding jobs (as my old Q660 is terribly slow). I've been for the past few years indexing on #1 with DGIndexNV GUI and then opening the .dgi on #2 using DGDecodIM and it's worked very well.

I'm currently setting everything up on #3 and having some compatibility issues. I hadn't updated #1 or #2 for ages and was not running current versions on either of them, though I've tried to install the most current versions of the tools on Machine #3.


The issue I am having is the version mismatch error;
DGSourceIM: DGIndexNV/DGDecodeNV mismatch. You are picking up
a version of DGDecodeNV, possibly from your plugins directory,
that does not match the version of DGIndexNV used to make the index
file...
[etc.]
Understandable, but why would DGDecodeIM.dll version 0.0.0.50 (Date 2015-05-10) work fine, and then the one I've downloaded today, also stamped version 0.0.0.50 (Dated 2017-03-18), fail to load an old DGI file created in an older version of DGIndexNV?

I installed the latest version of DGIndexNV on the new machine and am getting a bit confused about which versions of the respective indexers and decoders are compatible with one another.

Can anyone offer any guidance?
Last edited by PhotoVoltaic on Sun Jul 01, 2018 8:58 am, edited 1 time in total.

PhotoVoltaic
Posts: 2
Joined: Sun Jul 01, 2018 8:00 am

Re: .dgi compatibility across IM / NV versions

Post by PhotoVoltaic » Sun Jul 01, 2018 8:58 am

Additional Information;

1. Original DGI file from ancient version of DGIndexNV;
DGAVCIndexFileNV14 DGIndexNV 2049 X32
C:\Program Files\AviSynth\plugins\

M:\test-footage.ts 3302823292

DEVICE 0
DECODE_MODES 0,0,0
STREAM 1
PKTSIZ 188
VPID 2305
CLIP 0 0 0 8
RANGE 0 0 3302823291 0
AUDIO 902

SPS 413
PPS 445
RPS 512
IDR 521
2. DGI created with DGIndexIM beta 50
DGAVCIndexFileNV16 DGIndexIM beta 50 X64
C:\Program Files\AvisynthRepository\AVS260\plugins\

test-footage.ts 3302823292

DEVICE 0
DECODE_MODES 0,0,0,0,0
STREAM 1
PKTSIZ 188
VPID 2305
CLIP 0 0 0 8
RANGE 0 0 3302823291 0
AUDIO
DEPTH 8

SPS 413
PPS 445
RPS 512
IDR 521
3. DGI created with DGIndexNV latest (2053.0.0.152);
DGAVCIndexFileNV20 DGIndexNV 2053.0.0.152 X32
C:\Program Files\AvisynthRepository\AVS260\plugins\

M:\test-footage.ts 3302823292

DEVICE 0
DECODE_MODES 0,0,0,0,0
STREAM 1 0
PKTSIZ 188
VPID 2305
CLIP 0 0 0 8
RANGE 0 0 3302823291 0
DEMUX
DEPTH 8
ASPECT 1 1
COLORIMETRY 1 1 1

SPS 414
PPS 446
PPS 297973
PPS 1188786
RPS 513
IDR 522
Old version of DGDecodeNV and DGDecodeIM can read (1) but newer versions of either cannot,
DGDecodeIM can only read the .dgi created by the DGIndexIM of the same version, can't read the newer -NV .dgi file
DGDecodeNV can only read the .dgi created by the DGIndexNV of the same version, can't read the -IM .dgi file


I probably don't need the very latest -NV version, so is there going to be a past version of DGDecodeNV that works interchangeably with the current latest DGDecodeIM ?

User avatar
admin
Site Admin
Posts: 3973
Joined: Thu Sep 09, 2010 3:08 pm

Re: .dgi compatibility across IM / NV versions

Post by admin » Mon Jul 02, 2018 10:13 am

Yes, the formats drifted apart and need to be brought back into compatibility. I will make current DGIM match the current DGNV. I also want to look at a performance issue reported by DJATOM:

viewtopic.php?f=13&t=656

Post Reply